Package org.apache.solr.client.solrj.impl

## Class XMLRequestWriter

- java.lang.Object
- - org.apache.solr.client.solrj.request.RequestWriter
  - - org.apache.solr.client.solrj.impl.XMLRequestWriter

    public class XMLRequestWriter
    extends RequestWriter

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.RequestWriter

`RequestWriter.ContentWriter, RequestWriter.StringPayloadContentWriter`

### Constructor Summary

Constructors
`XMLRequestWriter()`

### Method Summary

### Methods inherited from class org.apache.solr.client.solrj.request.RequestWriter

`getContentStreams, getContentWriter, getPath, getUpdateContentType, isEmpty, isNull, isNull, write, writeXML`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLRequestWriter

    public XMLRequestWriter()